Subject: bug#35500: closed (Re: bug#35500: ocaml-utop fatal error)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 30 Apr 2019 08:30:03 +0000

Your bug report

#35500: ocaml-utop fatal error

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35500: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35500
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#35500: ocaml-utop fatal error
From: Julien Lepiller <[email-masked]>
To: Brett Gilio <[email-masked]>
Cc: [email-masked]
Date: Tue, 30 Apr 2019 10:29:03 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Le Mon, 29 Apr 2019 21:58:49 -0500,
Brett Gilio <[email-masked]> a écrit :

> I have ocaml-utop installed in an environment. When I run utop from
> the shell it returns this rather unamusing error message.
> 
> brettg@guixsd ~ [env]$ utop
> Fatal error: exception Not_found
> 
> There is a reference to this error on github, here
> https://github.com/ocaml-community/utop/issues/224
> 
> I tried patching this myself but I did not get far.
> 
> Brett Gilio
> 
> 
> 

Running strace on utop showed that it was trying to open a file in /usr
and that's what it couldn't find. Fixed in
6215132155e1a36629fdc5001edbf9dd53ead93f.

Subject: ocaml-utop fatal error
From: Brett Gilio <[email-masked]>
To: Bug guix <[email-masked]>
Date: Mon, 29 Apr 2019 21:58:49 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I have ocaml-utop installed in an environment. When I run utop from the
shell it returns this rather unamusing error message.

brettg@guixsd ~ [env]$ utop
Fatal error: exception Not_found

There is a reference to this error on github, here
https://github.com/ocaml-community/utop/issues/224

I tried patching this myself but I did not get far.

Brett Gilio